/// <reference types="node" />
import { AxiosRequestConfig } from "axios";
export interface Headers {
    [name: string]: any;
}
export interface LhispOauthClientConstructorParams {
    authUrl: string;
    apiUrl: string;
    clientId: string;
    clientSecret: string;
    certificado?: string | Buffer;
    senhaCertificado?: string;
    authScope?: string;
    authHeaderName?: string;
    tokenHeaderName?: string;
    headers?: Headers;
    authHeaders?: Headers;
    grantType?: string;
    authContentType?: ContentType;
    authData?: Record<string, string>;
    sendAuthCredentialsOnRequestBody?: boolean;
    formatAccessToken?: (accessToken?: AccessToken) => string;
    debug?: boolean;
    timeout?: number;
}
export interface ExecutarRequestParams extends AxiosRequestConfig {
    path: string;
    contentType?: ContentType;
}
export interface AccessToken {
    token_type: string;
    access_token: string;
    expires_in: number;
    scope?: string;
}
export declare enum ContentType {
    APPLICATION_JSON = "application/json",
    APPLICATION_X_WWW_FORM_URLENCODED = "application/x-www-form-urlencoded"
}
export declare const defaultGrantType = "client_credentials";
export declare const defaultAuthContentType = ContentType.APPLICATION_X_WWW_FORM_URLENCODED;
export declare const defaultAuthHeaderName = "Authorization";
export declare const defaultTokenHeaderName = "Authorization";
